#region Copyright Syncfusion Inc. 2001-2019.
// Copyright Syncfusion Inc. 2001-2019. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using Syncfusion.Windows.Forms.CellGrid;
using Syncfusion.Windows.Forms.Spreadsheet.Helpers;
using Syncfusion.Windows.Forms.Tools;
using Syncfusion.XlsIO;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace ExportingDemo
{
    public partial class Form1 : RibbonForm
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()        
		{
	        Syncfusion.Licensing.SyncfusionLicenseProvider.RegisterLicense(Syncfusion.Licensing.DemoCommon.FindLicenseKey());
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(true);
            Application.Run(new Form2());
        }

        public Form1()
        {
            InitializeComponent();
            spreadsheet.Open(@"D:\Support\Pending List 1.xlsx");
        }

        private void button1_Click(object sender, EventArgs e)
        {
            rangeInfo = new GridRangeInfoList();
            IRange range = spreadsheet.Workbook.Worksheets[0].Range[2, 2, 2, 7];
            //To convert the IRange into GridRangeInfo.
             rangeInfo.Add(GridExcelHelper.ConvertExcelRangeToGridRange(range));
            //To convert the GridRangeInfo into IRange
            //string iRange = GridExcelHelper.ConvertGridRangeToExcelRange(rangeInfo, spreadsheet.ActiveGrid);
            spreadsheet.CopyPaste.Copy(rangeInfo[0], false);

            //To perform Copy operation
            //spreadsheet.CopyPaste.Copy();
        }
        GridRangeInfoList rangeInfo = null;
        private void button2_Click(object sender, EventArgs e)
        {
            GridRangeInfoList list = new GridRangeInfoList();
            IRange range = spreadsheet.Workbook.Worksheets[1].Range[4, 5, 4, 11];
            //To convert the IRange into GridRangeInfo.
            list.Add(GridExcelHelper.ConvertExcelRangeToGridRange(range));
            string backUpSheet = spreadsheet.ActiveSheet.Name;
            //To change the active grid.
            spreadsheet.SetActiveSheet(range.Worksheet.Name);
            //To paste the copied content in another sheet.
            spreadsheet.CopyPaste.Paste(list, Syncfusion.Windows.Forms.Spreadsheet.PasteOptions.Paste);
            //Revert to the previous sheet.
            spreadsheet.SetActiveSheet(backUpSheet);
        }
    }
}
